Loading...
Searching...
No Matches
XrdSsiSessReal.cc File Reference
`#include <cerrno>`
`#include <cinttypes>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <string>`
`#include <sys/types.h>`
`#include <netinet/in.h>`
`#include "XrdSsi/XrdSsiAtomics.hh"`
`#include "XrdSsi/XrdSsiRequest.hh"`
`#include "XrdSsi/XrdSsiRRAgent.hh"`
`#include "XrdSsi/XrdSsiRRInfo.hh"`
`#include "XrdSsi/XrdSsiScale.hh"`
`#include "XrdSsi/XrdSsiServReal.hh"`
`#include "XrdSsi/XrdSsiSessReal.hh"`
`#include "XrdSsi/XrdSsiTaskReal.hh"`
`#include "XrdSsi/XrdSsiTrace.hh"`
`#include "XrdSsi/XrdSsiUtils.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "Xrd/XrdScheduler.hh"`
Include dependency graph for XrdSsiSessReal.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdSsi

## Macros

#define | INSERT(dlvar, curitem, newitem)
#define | REMOVE(dlbase, dlvar, curitem)
#define | SINGLETON(dlvar, theitem)

## Macro Definition Documentation

## INSERT

#define INSERT | ( |  | dlvar,
|  |  | curitem,
|  |  | newitem )

Value:
newitem ->dlvar .next = curitem; \
newitem ->dlvar .prev = curitem ->dlvar .prev; \
curitem ->dlvar .prev-> dlvar .next = newitem; \
curitem ->dlvar .prev = newitem

Definition at line 63 of file XrdSsiSessReal.cc.

#define INSERT(dlvar, curitem, newitem) \
newitem ->dlvar .next = curitem; \
newitem ->dlvar .prev = curitem ->dlvar .prev; \
curitem ->dlvar .prev-> dlvar .next = newitem; \
curitem ->dlvar .prev = newitem

Referenced by XrdSys::IOEvents::Poller::TmoAdd().

## REMOVE

#define REMOVE | ( |  | dlbase,
|  |  | dlvar,
|  |  | curitem )

Value:
if (dlbase == curitem) dlbase = (SINGLETON(dlvar,curitem) \
? 0 : curitem ->dlvar .next);\
curitem ->dlvar .prev-> dlvar .next = curitem ->dlvar .next;\
curitem ->dlvar .next-> dlvar .prev = curitem ->dlvar .prev;\
curitem ->dlvar .next = curitem;\
curitem ->dlvar .prev = curitem
SINGLETON
#define SINGLETON(dlvar, theitem)
Definition XrdSsiSessReal.cc:60

Definition at line 69 of file XrdSsiSessReal.cc.

#define REMOVE(dlbase, dlvar, curitem) \
if (dlbase == curitem) dlbase = (SINGLETON(dlvar,curitem) \
? 0 : curitem ->dlvar .next);\
curitem ->dlvar .prev-> dlvar .next = curitem ->dlvar .next;\
curitem ->dlvar .next-> dlvar .prev = curitem ->dlvar .prev;\
curitem ->dlvar .next = curitem;\
curitem ->dlvar .prev = curitem

Referenced by XrdSys::IOEvents::Poller::Stop(), XrdSsiSessReal::TaskFinished(), XrdSys::IOEvents::Poller::TmoAdd(), and XrdSys::IOEvents::Poller::TmoDel().

## SINGLETON

#define SINGLETON | ( |  | dlvar,
|  |  | theitem )

Value:
theitem ->dlvar .next == theitem

Definition at line 60 of file XrdSsiSessReal.cc.

#define SINGLETON(dlvar, theitem)\
theitem ->dlvar .next == theitem